apiVersion: argoproj.io/v1alpha1
kind: AppProject
metadata:
  annotations:
  name: sys
  namespace: argocd
spec:
  clusterResourceWhitelist:
  - group: '*'
    kind: '*'
  description: sys components project
  destinations:
  - namespace: default
    server: https://kubernetes.default.svc
  - namespace: argocd
    server: https://kubernetes.default.svc
  - namespace: kube-system
    server: https://kubernetes.default.svc
  - namespace: ingress-nginx
    server: https://kubernetes.default.svc
  - namespace: prometheus
    server: https://kubernetes.default.svc
  - namespace: cnpg
    server: https://kubernetes.default.svc
  - namespace: cert-manager
    server: https://kubernetes.default.svc
  - namespace: kubernetes-dashboard
    server: https://kubernetes.default.svc
  - namespace: rabbitmq
    server: https://kubernetes.default.svc
  - namespace: sealed-secrets
    server: https://kubernetes.default.svc
  - namespace: gitlab
    server: https://kubernetes.default.svc
  - namespace: thanos
    server: https://kubernetes.default.svc
  - namespace: linkerd
    server: https://kubernetes.default.svc
  - namespace: linkerd-multicluster
    server: https://kubernetes.default.svc
  - namespace: observability
    server: https://kubernetes.default.svc
  - namespace: kyverno
    server: https://kubernetes.default.svc
  - namespace: velero
    server: https://kubernetes.default.svc
  - namespace: loki
    server: https://kubernetes.default.svc
  - namespace: tempo
    server: https://kubernetes.default.svc
  - namespace: x509-exporter
    server: https://kubernetes.default.svc
  - namespace: mariadb-operator
    server: https://kubernetes.default.svc
  - namespace: dragonfly
    server: https://kubernetes.default.svc
  - namespace: cilium-spire
    server: https://kubernetes.default.svc
  - namespace: cilium-test
    server: https://kubernetes.default.svc
  - namespace: cilium-secrets
    server: https://kubernetes.default.svc
  - namespace: openfga
    server: https://kubernetes.default.svc
  - namespace: staging-openfga
    server: https://kubernetes.default.svc
  - namespace: dapr-system
    server: https://kubernetes.default.svc
  - namespace: rook-ceph
    server: https://kubernetes.default.svc
  - namespace: csi-addon-manager
    server: https://kubernetes.default.svc
  - namespace: headscale
    server: https://kubernetes.default.svc
  - namespace: drupal
    server: https://kubernetes.default.svc
  - namespace: otel
    server: https://kubernetes.default.svc
  - namespace: opentelemetry
    server: https://kubernetes.default.svc
  - namespace: ncps
    server: https://kubernetes.default.svc
  - namespace: slinky
    server: https://kubernetes.default.svc
  - namespace: slurm
    server: https://kubernetes.default.svc
  - namespace: spegel
    server: https://kubernetes.default.svc
  - namespace: uptime
    server: https://kubernetes.default.svc
  - namespace: gitea
    server: https://kubernetes.default.svc
  - namespace: postfix
    server: https://kubernetes.default.svc
  - namespace: jobset-system
    server: https://kubernetes.default.svc
  - namespace: dex
    server: https://kubernetes.default.svc
  - namespace: cra-agent
    server: https://kubernetes.default.svc
  - namespace: catalyst
    server: https://kubernetes.default.svc
  sourceRepos:
  - https://argoproj.github.io/argo-helm
  - https://kubernetes-sigs.github.io/metrics-server/
  - https://git.oceanbox.io/platform/manifests.git
  - https://git.oceanbox.io/platform/manifests
  - https://gitlab.com/oceanbox/manifests.git
  - https://kubernetes.github.io/ingress-nginx
  - https://cloudnative-pg.github.io/charts
  - https://charts.jetstack.io
  - https://kubernetes-sigs.github.io/nfs-subdir-external-provisioner/
  - https://github.com/kubernetes/dashboard
  - https://bitnami-labs.github.io/sealed-secrets
  - https://prometheus-community.github.io/helm-charts
  - https://github.com/prometheus-community/helm-charts.git
  - https://charts.gitlab.io/
  - https://charts.bitnami.com/bitnami
  - https://helm.linkerd.io/stable
  - https://github.com/jaegertracing/jaeger-operator
  - https://kyverno.github.io/kyverno/
  - https://vmware-tanzu.github.io/helm-charts
  - https://grafana.github.io/helm-charts
  - https://charts.enix.io
  - https://helm.mariadb.com/mariadb-operator
  - https://helm.mariadb.com/mariadb-operator-crds
  - https://helm.mariadb.com
  - https://helm.cilium.io
  - https://chartmuseum.github.io/charts
  - https://dapr.github.io/helm-charts
  - https://charts.gabe565.com
  - https://open-telemetry.github.io/opentelemetry-helm-charts
  - https://ghcr.io/slinkyproject/charts/slurm-operator
  - https://ghcr.io/slinkyproject/charts/slurm-operator-crds
  - https://bokysan.github.io/docker-postfix/
  - ghcr.io/slinkyproject/charts
  - ghcr.io/slinkyproject/charts/slurm-operator
  - ghcr.io/slinkyproject/charts/slurm-operator-crds
  - ghcr.io/spegel-org/helm-charts
  - quay.io/cilium/charts
  - quay.io/jetstack/charts
  - registry.k8s.io/jobset/charts/jobset
  - ghcr.io/dragonflydb/dragonfly-operator/helm/dragonfly-operator
  - docker.gitea.com
  - https://operator.mariadb.com/mariadb-enterprise-operator
  - https://ot-container-kit.github.io/helm-charts
  - https://operator.mariadb.com
  - https://twin.github.io/helm-charts
  - https://charts.dexidp.io
  - public.ecr.aws/diagrid/catalyst
